<script>
  import { createEventDispatcher } from 'svelte'
  import Icon from 'svelte-awesome/components/Icon.svelte'
  import { circle, times } from 'svelte-awesome/icons'
  import { SquareType } from '../helpers'

  export let square

  const dispatch = createEventDispatcher()

  const onClickSquare = () => {
    if (square.type) return
    dispatch('selectSquare', { id: square.id })
  }
</script>

<div class="square-container" class:square-empty={!square.type} on:click={onClickSquare}>
  {#if square.type === SquareType.cross}
    <Icon data={times} scale={2} />
  {/if}

  {#if square.type === SquareType.circle}
    <Icon data={circle} scale={2} />
  {/if}
</div>

<style>
  .square-container {
    height: 100px;
    width: 100px;
    background-color: #f9f9f9;
    border-left: 2px solid #006d77;
    border-bottom: 2px solid #006d77;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: default;
  }

  .square-empty {
    cursor: pointer;
  }
</style>
